fn main() {
    println!("cargo:rustc-link-search=native={}", env!("SITTERS"));
    for lang in &[
        #[cfg(feature = "bash")]
        "bash",
        #[cfg(feature = "c_sharp")]
        "c-sharp",
        #[cfg(feature = "c")]
        "c",
        #[cfg(feature = "clojure")]
        "clojure",
        #[cfg(feature = "cpp")]
        "cpp",
        #[cfg(feature = "css")]
        "css",
        #[cfg(feature = "elm")]
        "elm",
        #[cfg(feature = "go")]
        "go",
        #[cfg(feature = "haskell")]
        "haskell",
        #[cfg(feature = "html")]
        "html",
        #[cfg(feature = "java")]
        "java",
        #[cfg(feature = "javascript")]
        "javascript",
        #[cfg(feature = "json")]
        "json",
        #[cfg(feature = "julia")]
        "julia",
        #[cfg(feature = "ocaml")]
        "ocaml",
        #[cfg(feature = "php")]
        "php",
        #[cfg(feature = "python")]
        "python",
        #[cfg(feature = "racket")]
        "racket",
        #[cfg(feature = "ruby")]
        "ruby",
        #[cfg(feature = "rust")]
        "rust",
        #[cfg(feature = "scala")]
        "scala",
        #[cfg(feature = "typescript")]
        "typescript",
        #[cfg(feature = "nix")]
        "nix",
        #[cfg(feature = "agda")]
        "agda",
    ] {
        println!("cargo:rustc-link-lib=static=tree-sitter-{lang}");
    }
}
