set -e
if [ "$1" == "--no-build" ] ; then
    kak -n -E 'source rc/tree.kak ; set-option global tree_cmd "/tmp/kak-tree-bin/bin/kak-tree" ; set-option global tree_config rc/default_config.toml ; source kakrc.sample ; set-option global tree_log "test.log"' src/main.rs -e 'set buffer filetype rust'
else
    nix build .#bin -o /tmp/kak-tree-bin -L
    nix build .#kak-tree -o /tmp/kak-tree -L
    kak -n -E 'source /tmp/kak-tree/share/kak/autoload/plugins/kak-tree/tree.kak ; source kakrc.sample ; set-option global tree_log "test.log"' src/main.rs -e 'set buffer filetype rust'
fi
